%define upstream_name    Devel-Trace
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A debugging module that prints out each line before it is executed
(like sh -x).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

echo "" | %{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README sample
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.120.0-8pclos2017
- rebuild against updates

